Bug 1166619 (CVE-2014-8958) - CVE-2014-8958 phpMyAdmin: Multiple XSS vulnerabilities (PMASA-2014-13)
Summary: CVE-2014-8958 phpMyAdmin: Multiple XSS vulnerabilities (PMASA-2014-13)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8958
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1166621 1166622 1166623 1166624 1166625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 11:25 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:24 UTC (History)
12 users (show)

Fixed In Version: phpMyAdmin 4.2.12, phpMyAdmin 4.0.10.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:54:58 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-21 11:25:18 UTC
Multiple XSS vlunerabilities were reported [1] in phpMyAdmin:

- With a crafted database, table or column name it is possible to trigger an XSS attack in the table browse page.
- With a crafted ENUM value it is possible to trigger XSS attacks in the table print view and zoom search pages.
- With a crafted value for font size it is possible to trigger an XSS attack in the home page.

[1]: http://www.phpmyadmin.net/home_page/security/PMASA-2014-13.php

Comment 2 Vasyl Kaigorodov 2014-11-21 11:27:33 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1166621]
Affects: epel-6 [bug 1166623]
Affects: epel-7 [bug 1166624]

Comment 3 Vasyl Kaigorodov 2014-11-21 11:27:36 UTC
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-5 [bug 1166622]

Comment 4 Fedora Update System 2014-11-27 18:09:24 UTC
phpMyAdmin-4.0.10.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-30 19:11:02 UTC
phpMyAdmin-4.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-01 18:55:50 UTC
phpMyAdmin-4.2.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-12-01 18:58:07 UTC
phpMyAdmin-4.2.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-05 01:14:08 UTC
phpMyAdmin4-4.0.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-06 10:14:58 UTC
phpMyAdmin-4.2.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.